#ifndef NODE_HPP_INCLUDED
#define NODE_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>

namespace Internal
{
    class Node : public Object
    {
        public:
            Node();
            Node(const void* Obj);
            Node(const Node& N);
            static Class GetClass();

            Node GetNext() const;
            Node GetPrev() const;
            std::int64_t GetUID() const;

    };
}

#endif // NODE_HPP_INCLUDED
